---
title: Retrieve account summary
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getaccountusagesummary/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getaccountusagesummary.png
---

# Retrieve account summary

GET

/accounts/{account_id}/usage/summary

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/usage/summary \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the usage summary for the account over a time period. The default response is a summary of the last 30 days.

## Limitations & Warnings

- `first_date` and `last_date` can be specified to retrieve a summary over a custom date range. Both must be provided together, and the range cannot exceed 31 days.
- `first_date` cannot be older than 13 months.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**account_id**

required

string format: uuid

ID of account

#### Example

```
eeda3227-9a39-46ae-9e14-20958bb4e6c9
```

### Query Parameters

**first_date**

string format: date

/^\d{4}-\d{2}-\d{2}$/

The start date for the requested metrics range (inclusive). Format: `YYYY-mm-dd`. Cannot be older than 13 months. If `first_date` is provided, `last_date` must also be provided.

**last_date**

string format: date

/^\d{4}-\d{2}-\d{2}$/

The end date for the requested metrics range (inclusive). Format: `YYYY-mm-dd`. If `last_date` is provided, `first_date` must also be provided.

## Responses

### 200

Returns a `UsageMetricsRollup` object.

Media typeapplication/json

A rollup of usage metrics.

object

**visit_count**

A metric rollup.

object

**average**

The average value of the metric.

string format: int64

nullable

**sum**

The total sum value of the metric.

string format: int64

nullable

**latest**

The latest information.

object

**date**

The date (ISO 8601).

string

**value**

The value.

string format: int64

**network_origin_bytes**

A metric rollup.

object

**average**

The average value of the metric.

string format: int64

nullable

**sum**

The total sum value of the metric.

string format: int64

nullable

**latest**

The latest information.

object

**date**

The date (ISO 8601).

string

**value**

The value.

string format: int64

**storage_file_bytes**

A metric rollup.

object

**average**

The average value of the metric.

string format: int64

nullable

**sum**

The total sum value of the metric.

string format: int64

nullable

**latest**

The latest information.

object

**date**

The date (ISO 8601).

string

**value**

The value.

string format: int64

**storage_database_bytes**

A metric rollup.

object

**average**

The average value of the metric.

string format: int64

nullable

**sum**

The total sum value of the metric.

string format: int64

nullable

**latest**

The latest information.

object

**date**

The date (ISO 8601).

string

**value**

The value.

string format: int64

**billable_visits**

A metric rollup.

object

**average**

The average value of the metric.

string format: int64

nullable

**sum**

The total sum value of the metric.

string format: int64

nullable

**latest**

The latest information.

object

**date**

The date (ISO 8601).

string

**value**

The value.

string format: int64

**request_origin_count**

A metric rollup.

object

**average**

The average value of the metric.

string format: int64

nullable

**sum**

The total sum value of the metric.

string format: int64

nullable

**latest**

The latest information.

object

**date**

The date (ISO 8601).

string

**value**

The value.

string format: int64

**network_cdn_bytes**

A metric rollup.

object

**average**

The average value of the metric.

string format: int64

nullable

**sum**

The total sum value of the metric.

string format: int64

nullable

**latest**

The latest information.

object

**date**

The date (ISO 8601).

string

**value**

The value.

string format: int64

**network_total_bytes**

A metric rollup.

object

**average**

The average value of the metric.

string format: int64

nullable

**sum**

The total sum value of the metric.

string format: int64

nullable

**latest**

The latest information.

object

**date**

The date (ISO 8601).

string

**value**

The value.

string format: int64

#### Example generated

```json
{
  "visit_count": {
    "average": "example",
    "sum": "example",
    "latest": {
      "date": "example",
      "value": "example"
    }
  },
  "network_origin_bytes": {
    "average": "example",
    "sum": "example",
    "latest": {
      "date": "example",
      "value": "example"
    }
  },
  "storage_file_bytes": {
    "average": "example",
    "sum": "example",
    "latest": {
      "date": "example",
      "value": "example"
    }
  },
  "storage_database_bytes": {
    "average": "example",
    "sum": "example",
    "latest": {
      "date": "example",
      "value": "example"
    }
  },
  "billable_visits": {
    "average": "example",
    "sum": "example",
    "latest": {
      "date": "example",
      "value": "example"
    }
  },
  "request_origin_count": {
    "average": "example",
    "sum": "example",
    "latest": {
      "date": "example",
      "value": "example"
    }
  },
  "network_cdn_bytes": {
    "average": "example",
    "sum": "example",
    "latest": {
      "date": "example",
      "value": "example"
    }
  },
  "network_total_bytes": {
    "average": "example",
    "sum": "example",
    "latest": {
      "date": "example",
      "value": "example"
    }
  }
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
